.popup-overlay {
  @import '../../../themes/variables/color';
  @import '../../../themes/mixins/compatibility';
  @import '../../../themes/mixins/adaptive';

  $content-width: 113.6rem;

  $main-width: 60rem;
  $padding-size: 4.8rem;

  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;

  visibility: hidden;
  opacity: 0;
  z-index: 999;

  background: rgba(255, 255, 255, 0.9);
  @include transition(opacity 0.5s);

  /* STATE hiện popup */
  &.open {
    visibility: visible;
    opacity: 1;
  }

  .popup-container {
    /* Align central screen */
    @include transform(translateY(-50%));
    margin-top: 50vh;

    margin-right: auto;
    margin-left: auto;

    width: 100%;
    max-width: $content-width;
    overflow: hidden;

    .content-wrapper {
      margin-right: auto;
      margin-left: auto;

      background: $white;
      padding: $padding-size;

      width: $main-width;
      height: calc(100vh - 4.8rem * 2);
    }
  }

  /* Popup fullscreen */
  &.fullscreen {
    .popup-container {
      max-width: 100vw;

      .content-wrapper {
        width: 100%;
        height: 100vh;

        overflow: auto;
      }
    }
  }

  /* MOBILE */
  @include mobile {
    .popup-container {
      margin-top: 4.4rem;

      .content-wrapper {
        width: 100vw;
      }
    }
  }
}
